Delete several room recordings in a bulk.
Deletes the room recordings that match the supplied filters and returns the number of recordings affected. Filters support room, session, participant, recording type, status, duration, and start or end dates.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.roomRecordings.deleteBulk();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.room_recordings.delete_bulk()
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.RoomRecordings.DeleteBulk(context.TODO(), telnyx.RoomRecordingDeleteBulkParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingDeleteBulkParams;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingDeleteBulkResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RoomRecordingDeleteBulkResponse response = client.roomRecordings().deleteBulk();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.room_recordings.delete_bulk
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->roomRecordings->deleteBulk(
filter: [
'dateEndedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'dateStartedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'durationSecs' => 20,
'participantID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'roomID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'sessionID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'status' => 'completed',
'type' => 'audio',
],
pageNumber: 0,
pageSize: 0,
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-recordings delete-bulk \
--api-key 'My API Key'curl --request DELETE \
--url https://api.telnyx.com/v2/room_recordings \
--header 'Authorization: Bearer <token>'{
"data": {
"room_recordings": 5
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "The server understood the syntax of the request but was unable to process the instructions."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[date_ended_at][eq], filter[date_ended_at][gte], filter[date_ended_at][lte], filter[date_started_at][eq], filter[date_started_at][gte], filter[date_started_at][lte], filter[room_id], filter[participant_id], filter[session_id], filter[status], filter[type], filter[duration_secs]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Response
Successful response for Bulk Delete Room recordings requests
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.roomRecordings.deleteBulk();
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.room_recordings.delete_bulk()
print(response.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.RoomRecordings.DeleteBulk(context.TODO(), telnyx.RoomRecordingDeleteBulkParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingDeleteBulkParams;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingDeleteBulkResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RoomRecordingDeleteBulkResponse response = client.roomRecordings().deleteBulk();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.room_recordings.delete_bulk
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->roomRecordings->deleteBulk(
filter: [
'dateEndedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'dateStartedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'durationSecs' => 20,
'participantID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'roomID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'sessionID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'status' => 'completed',
'type' => 'audio',
],
pageNumber: 0,
pageSize: 0,
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-recordings delete-bulk \
--api-key 'My API Key'curl --request DELETE \
--url https://api.telnyx.com/v2/room_recordings \
--header 'Authorization: Bearer <token>'{
"data": {
"room_recordings": 5
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "The server understood the syntax of the request but was unable to process the instructions."
}
]
}